 
from algopy import zeros, dot, sin

class Kronecker(object):
    
    def __init__(self):
        
        self.type_of_DAE='standard'
        self.example_name='Kronecker_standard'
        
    def f(self,y,x,t):
        """ linear DAE in Kronecker normal form in standard formulation f(x',x,t) """
        n=5
        f = zeros(n, dtype=x)
        f[0]=y[0]+x[0]
        f[1]=y[2]+x[1]
        f[2]=y[3]+x[2]
        f[3]=y[4]+x[3]
        f[4]= x[4]-sin(t)

        return f
