from numpy import array,zeros,pi
from DAEinitialization.consistentValues import consistentValuesIndex
from AD_examples.KroneckerTestDoku.example_Kronecker_proper import Kronecker
ex = Kronecker()
# dimension of the DAE
n=5
# number of Taylor coefficients
K = 10
# timepoint
t0=1.
t0=pi/4
# initial guess of x(t0)
alpha=array([1.,1.,1.,1.,1.])

print 'Solution by minimization'
print 'alpha = ',alpha

ftola=1e-14
x0=zeros(K*n)
x0[:n]=alpha
solution,index,cond,robust=consistentValuesIndex(ex,K,alpha,x0,t0,disp=True,ftol=ftola,info_level=2)
