'''
Created on 13.01.2016

@author: lamour
'''
class MinimalDampingParameter(Exception):
    #def __init__(self):
    #    Exception.__init__(self)
    def __str__(self):
        return "NumericalException: Minimal damping parameter."
    
class IncreasingTaylorCoefficient(Exception):
    def __init__(self,K_start,K,K_end):
        Exception.__init__(self,K_start,K,K_end)
        self.string="NumericalException: Increasing of Taylor coefficients from "+str(K_start)+" to "+str(K_end)+' not successful at K = ' +str(K)
    def __str__(self):
        return self.string
    
class LittleNumberOfTaylorCoefficients(Exception):
    def __init__(self,K_start):
        Exception.__init__(self,K_start)
        self.string="NumericalException: Number of Taylor coefficients K_start= "+str(K_start)+" too small."
    def __str__(self):
        return self.string
    
class FNotComputable(Exception):   
    def __str__(self):
        string="NumericalException: F not computable."
        return string
    
class MinimizationNotSuccessful(Exception):   
    def __str__(self):
        string="NumericalException: Minimization not successful."
        return string
    
class SingularDAE(Exception):   
    def __init__(self,string):
        Exception.__init__(self,string)
        #string="NumericalException: The DAE is singular."
        self.string=string
    def __str__(self):
        return self.string     
