 
from algopy import zeros, dot, sin

class Kronecker(object):
    
    def __init__(self):
        
        self.type_of_DAE='proper'
        self.example_name='Kronecker_proper'

    def f(self,dp,x,t):
        """ linear DAE in Kronecker normal form in proper formulation f(d(x,t)',x,t) """
        n=5
        f = zeros(n, dtype=x)
        
        f[0]=dp[0]+x[0]
        f[1]=dp[1]+x[1]
        f[2]=dp[2]+x[2]
        f[3]=dp[3]+x[3]
        f[4]= x[4]-sin(t)
       
        return f
    
    def d(self,x,t):
        """ function d(x,t) """
        d = zeros(4, dtype=x)
        d[0]=x[0]
        d[1]=x[2]
        d[2]=x[3]
        d[3]=x[4]
        return d
